<<

# migrate.pl

- NAME
- SYNOPSIS
- OPTIONS
- DESCRIPTION

# NAME

migrate.pl - A script to migrate from other bug-trackers to Bugzilla.

# SYNOPSIS

     ./migrate.pl --from=<tracker> [--verbose] [--dry-run]

     Migrates from another bug-tracker to Bugzilla. If you want
     to upgrade Bugzilla, use checksetup.pl instead.

     Always test this on a backup copy of your database before
     running it on your live Bugzilla.

# OPTIONS

--from=tracker

  Specifies what bug-tracker you're migrating from. To see what values are valid, see the contents of the Bugzilla/Migrate/ directory.

--dry-run

  Don't modify the Bugzilla database at all, just test the import. Note that this could cause significant slowdown and other strange effects on a live Bugzilla, so only use it on a test instance.

--verbose

  If specified, this script will output extra debugging information to STDERR. Specify multiple times (up to three) for more information.

# DESCRIPTION

This script copies data from another bug-tracker into Bugzilla. It migrates users, products, and bugs from the other bug-tracker into this Bugzilla, without removing any of the data currently in this Bugzilla.

Note that you will need enough space in your temporary directory to hold the size of all attachments in your current bug-tracker.

You may also need to increase the number of file handles a process is allowed to hold open (as the migrator will create a file handle for each attachment in your database). On Linux and simliar systems, you can do this as root by typing `ulimit -n 65535` before running your script.

<<